GET
/
ExtraServiceDetailed
Extra service reports
curl --request GET \
  --url https://reporting-dev.cteleport.com/v2/odata/ExtraServiceDetailed \
  --header 'Authorization: Basic <encoded-value>'
{
  "@odata.context": "<string>",
  "value": [
    {
      "ExtraServiceId": "<string>",
      "BookingId": "<string>",
      "TenantId": "<string>",
      "CreatedDate": "2023-11-07T05:31:56Z",
      "Description": "<string>",
      "VesselName": "<string>",
      "VesselFlag": "<string>",
      "TravelerFirstName": "<string>",
      "TravelerLastName": "<string>",
      "BookingLocator": "<string>",
      "TotalPrice": 123,
      "Currency": "<string>",
      "VatAmount": 123,
      "RefundedAt": "2023-11-07T05:31:56Z",
      "RequestedByName": "<string>",
      "ReservationId": "<string>",
      "Type": "<string>",
      "State": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using reporting credentials provided by C Teleport. Username and password are issued per-customer — contact api@cteleport.com to obtain yours.

Query Parameters

$filter
string

OData filter expression. Examples:

  • bookingDate gt 2026-01-01
  • status eq 'confirmed'
  • carrier eq 'KL' and departureDate gt 2026-01-01
$select
string

Comma-separated list of fields to include in the response.

$orderby
string

OData ordering expression. Examples:

  • bookingDate desc
  • totalCost asc
$top
integer

Maximum number of records to return (default varies by endpoint).

$skip
integer

Number of records to skip for pagination.

$count
boolean

Set to true to include total record count in the response.

Response

Extra service reporting data.

@odata.context
string

OData metadata context URL.

value
object[]